# bson_iter_key_len()

## Synopsis

    uint32_t
    bson_iter_key_len (const bson_iter_t *iter);

## Parameters

- `iter`: A bson_iter_t.

## Description

Fetches the length of the key for the current element observed by `iter`. This is a constant time computation, and therefore faster than calling `strlen()` on a key returned by bson_iter_key().

## Returns

An integer representing the key length.

See also

bson_iter_key() to retrieve current key.